# Uses of Enum Class
org.springframework.context.annotation.FilterType

Packages that use FilterType
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of FilterType in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return FilterType
Modifier and Type
Method
Description
`static FilterType`
FilterType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FilterType[]`
FilterType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.